package com.ssj.bean.conch.conch.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


/**
 * @author yangcan
 * 类描述:小塾OTA系统升级表
 * 创建时间:2019/6/28 11:21
 */
@Entity
@Table(name = "scon_ota_manager")
public class SconOtaManager extends BaseEntity{
	private static final long serialVersionUID = 1L;
	
	private String updatePackName;//升级包名称
	private String currentVersion;//当前ota系统版本号
	private String updateVersion;//升级后ota系统版本号
    private String fileKey;//ota版本存放路径
    private String content;//升级内容
    private int isTest;//是否测试（0：否 1：是）
    private String testImei;//测试IMEI号,多个imei号用逗号隔开
    private int type;//类型（1：深圳小塾，2：上海晓方块）
    private  String md5;//文件名转换为的编码（md5)
    private int isUsing;//是否启用升级（0：否 1：是）
	private int isDelete; //是否删除，0:否 1:是
	private Date createTime;//创建时间
    private String fileName;//filekey后缀名

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getUpdatePackName() {
        return updatePackName;
    }

    public void setUpdatePackName(String updatePackName) {
        this.updatePackName = updatePackName;
    }

    @Column(name="current_version")
    public String getCurrentVersion() {
        return currentVersion;
    }

    public void setCurrentVersion(String currentVersion) {
        this.currentVersion = currentVersion;
    }

    public String getUpdateVersion() {
        return updateVersion;
    }

    public void setUpdateVersion(String updateVersion) {
        this.updateVersion = updateVersion;
    }

    public String getFileKey() {
        return fileKey;
    }

    public void setFileKey(String fileKey) {
        this.fileKey = fileKey;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public int getIsTest() {
        return isTest;
    }

    public void setIsTest(int isTest) {
        this.isTest = isTest;
    }

    public String getTestImei() {
        return testImei;
    }

    public void setTestImei(String testImei) {
        this.testImei = testImei;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getIsUsing() {
        return isUsing;
    }

    public void setIsUsing(int isUsing) {
        this.isUsing = isUsing;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getMd5() { return md5; }

    public void setMd5(String md5) { this.md5 = md5; }
}
